skb_unlink
Prev | Socket Buffer Functions | Next

## Name

skb_unlink — remove a buffer from a list

## Synopsis

`void skb_unlink (` | struct sk_buff * | skb,
| struct sk_buff_head * | list`)`;

## Arguments

`skb`

  buffer to remove

`list`

  list to use

## Description

Remove a packet from a list. The list locks are taken and this function is atomic with respect to other list locked calls

You must know what list the SKB is on.

Prev | Up | Next
skb_queue_tail | Home | skb_append